﻿--[[
Name: RatingBuster enUS locale
Revision: $Revision: 1 $
Translated by: 
- Whitetooth@Cenarius (hotdogee@bahamut.twbbs.org)
]]

local L = AceLibrary("AceLocale-2.2"):new("RatingBuster")
----
-- This file is coded in UTF-8
-- If you don't have a editor that can save in UTF-8, I recommend Ultraedit
----
-- To translate AceLocale strings, replace true with the translation string
-- Before: ["Show Item ID"] = true,
-- After:  ["Show Item ID"] = "顯示物品編號",
L:RegisterTranslations("enUS", function() return {
	---------------------------
	-- Slash Command Options --
	---------------------------
	-- /rb statmod
	["Enable Stat Mods"] = true,
	["Enable support for Stat Mods"] = true,
	-- /rb itemid
	["Show ItemID"] = true,
	["Show the ItemID in tooltips"] = true,
	-- /rb itemlevel
	["Show ItemLevel"] = true,
	["Show the ItemLevel in tooltips"] = true,
	-- /rb usereqlv
	["Use required level"] = true,
	["Calculate using the required level if you are below the required level"] = true,
	-- /rb setlevel
	["Set level"] = true,
	["Set the level used in calculations (0 = your level)"] = true,
	-- /rb color
	["Change text color"] = true,
	["Changes the color of added text"] = true,
	-- /rb color pick
	["Pick color"] = true,
	["Pick a color"] = true,
	-- /rb color enable
	["Enable color"] = true,
	["Enable colored text"] = true,
	-- /rb rating
	["Rating"] = true,
	["Options for Rating display"] = true,
	-- /rb rating show
	["Show Rating conversions"] = true,
	["Show Rating conversions in tooltips"] = true,
	-- /rb rating def
	["Defense breakdown"] = true,
	["Convert Defense into Crit Avoidance, Hit Avoidance, Dodge, Parry and Block"] = true,
	-- /rb rating wpn
	["Weapon Skill breakdown"] = true,
	["Convert Weapon Skill into Crit, Hit, Dodge Neglect, Parry Neglect, Block Neglect"] = true,
	
	-- /rb stat
	["Stat"] = true,
	["Changes the display of base stats"] = true,
	-- /rb stat show
	["Show base stat conversions"] = true,
	["Show base stat conversions in tooltips"] = true,
	-- /rb stat str
	["Strength"] = true,
	["Changes the display of Strength"] = true,
	-- /rb stat str ap
	["Show Attack Power"] = true,
	["Show Attack Power from Strength"] = true,
	-- /rb stat str block
	["Show Block Value"] = true,
	["Show Block Value from Strength"] = true,
	-- /rb stat str heal
	["Show Healing"] = true,
	["Show Healing from Strength"] = true,
	
	-- /rb stat agi
	["Agility"] = true,
	["Changes the display of Agility"] = true,
	-- /rb stat agi crit
	["Show Crit"] = true,
	["Show Crit chance from Agility"] = true,
	-- /rb stat agi dodge
	["Show Dodge"] = true,
	["Show Dodge chance from Agility"] = true,
	-- /rb stat agi ap
	["Show Attack Power"] = true,
	["Show Attack Power from Agility"] = true,
	-- /rb stat agi rap
	["Show Ranged Attack Power"] = true,
	["Show Ranged Attack Power from Agility"] = true,
	-- /rb stat agi armor
	["Show Armor"] = true,
	["Show Armor from Agility"] = true,
	
	-- /rb stat sta
	["Stamina"] = true,
	["Changes the display of Stamina"] = true,
	-- /rb stat sta hp
	["Show Health"] = true,
	["Show Health from Stamina"] = true,
	-- /rb stat sta dmg
	["Show Spell Damage"] = true,
	["Show Spell Damage from Stamina"] = true,
	
	-- /rb stat int
	["Intellect"] = true,
	["Changes the display of Intellect"] = true,
	-- /rb stat int spellcrit
	["Show Spell Crit"] = true,
	["Show Spell Crit chance from Intellect"] = true,
	-- /rb stat int mp
	["Show Mana"] = true,
	["Show Mana from Intellect"] = true,
	-- /rb stat int dmg
	["Show Spell Damage"] = true,
	["Show Spell Damage from Intellect"] = true,
	-- /rb stat int heal
	["Show Healing"] = true,
	["Show Healing from Intellect"] = true,
	-- /rb stat int mp5
	["Show Mana Regen"] = true,
	["Show Mana Regen while casting from Intellect"] = true,
	-- /rb stat int rap
	["Show Ranged Attack Power"] = true,
	["Show Ranged Attack Power from Intellect"] = true,
	-- /rb stat int armor
	["Show Armor"] = true,
	["Show Armor from Intellect"] = true,
	
	-- /rb stat spi
	["Spirit"] = true,
	["Changes the display of Spirit"] = true,
	-- /rb stat spi mp5
	["Show Mana Regen"] = true,
	["Show Mana Regen while casting from Spirit"] = true,
	-- /rb stat spi mp5nc
	["Show Mana Regen (not casting)"] = true,
	["Show Mana Regen while NOT casting from Spirit"] = true,
	-- /rb stat spi hp5
	["Show Health Regen"] = true,
	["Show Health Regen from Spirit"] = true,
	-- /rb stat spi dmg
	["Show Spell Damage"] = true,
	["Show Spell Damage from Spirit"] = true,
	-- /rb stat spi heal
	["Show Healing"] = true,
	["Show Healing from Spirit"] = true,
	
	-- /rb sum
	["Stat Summary"] = true,
	["Options for stat summary"] = true,
	-- /rb sum show
	["Show stat summary"] = true,
	["Show stat summary in tooltips"] = true,
	-- /rb sum ignore
	["Ignore settings"] = true,
	["Ignore stuff when calculating the stat summary"] = true,
	-- /rb sum ignore unused
	["Ignore unused items types"] = true,
	["Show stat summary only for highest level armor type and items you can use with uncommon quality and up"] = true,
	-- /rb sum ignore equipped
	["Ignore equipped items"] = true,
	["Hide stat summary for equipped items"] = true,
	-- /rb sum ignore enchant
	["Ignore enchants"] = true,
	["Ignore enchants on items when calculating the stat summary"] = true,
	-- /rb sum ignore gem
	["Ignore gems"] = true,
	["Ignore gems on items when calculating the stat summary"] = true,
	-- /rb sum diffstyle
	["Display style for diff value"] = true,
	["Display diff values in the main tooltip or only in compare tooltips"] = true,
	-- /rb sum space
	["Add blank line"] = true,
	["Add a blank line before stat summary for readability"] = true,
	-- /rb sum showzerostat
	["Show zero value stats"] = true,
	["Show zero value stats in summary for consistancy"] = true,
	-- /rb sum calcsum
	["Calculate stat sum"] = true,
	["Calculate the total stats for the item"] = true,
	-- /rb sum calcdiff
	["Calculate stat diff"] = true,
	["Calculate the stat difference for the item and equipped items"] = true,
	-- /rb sum stat
	["Stat - Base"] = true,
	["Choose base stats for summary"] = true,
	-- /rb sum stat hp
	["Sum Health"] = true,
	["Health <- Health, Stamina"] = true,
	-- /rb sum stat mp
	["Sum Mana"] = true,
	["Mana <- Mana, Intellect"] = true,
	-- /rb sum stat ap
	["Sum Attack Power"] = true,
	["Attack Power <- Attack Power, Strength, Agility"] = true,
	-- /rb sum stat rap
	["Sum Ranged Attack Power"] = true,
	["Ranged Attack Power <- Ranged Attack Power, Intellect, Attack Power, Strength, Agility"] = true,
	-- /rb sum stat fap
	["Sum Feral Attack Power"] = true,
	["Feral Attack Power <- Feral Attack Power, Attack Power, Strength, Agility"] = true,
	-- /rb sum stat dmg
	["Sum Spell Damage"] = true,
	["Spell Damage <- Spell Damage, Intellect, Spirit, Stamina"] = true,
	-- /rb sum stat dmgholy
	["Sum Holy Spell Damage"] = true,
	["Holy Spell Damage <- Holy Spell Damage, Spell Damage, Intellect, Spirit"] = true,
	-- /rb sum stat dmgarcane
	["Sum Arcane Spell Damage"] = true,
	["Arcane Spell Damage <- Arcane Spell Damage, Spell Damage, Intellect"] = true,
	-- /rb sum stat dmgfire
	["Sum Fire Spell Damage"] = true,
	["Fire Spell Damage <- Fire Spell Damage, Spell Damage, Intellect, Stamina"] = true,
	-- /rb sum stat dmgnature
	["Sum Nature Spell Damage"] = true,
	["Nature Spell Damage <- Nature Spell Damage, Spell Damage, Intellect"] = true,
	-- /rb sum stat dmgfrost
	["Sum Frost Spell Damage"] = true,
	["Frost Spell Damage <- Frost Spell Damage, Spell Damage, Intellect"] = true,
	-- /rb sum stat dmgshadow
	["Sum Shadow Spell Damage"] = true,
	["Shadow Spell Damage <- Shadow Spell Damage, Spell Damage, Intellect, Spirit, Stamina"] = true,
	-- /rb sum stat heal
	["Sum Healing"] = true,
	["Healing <- Healing, Intellect, Spirit, Strength"] = true,
	-- /rb sum stat hit
	["Sum Hit Chance"] = true,
	["Hit Chance <- Hit Rating, Weapon Skill Rating"] = true,
	-- /rb sum stat hitspell
	["Sum Spell Hit Chance"] = true,
	["Spell Hit Chance <- Spell Hit Rating"] = true,
	-- /rb sum stat crit
	["Sum Crit Chance"] = true,
	["Crit Chance <- Crit Rating, Agility, Weapon Skill Rating"] = true,
	-- /rb sum stat critspell
	["Sum Spell Crit Chance"] = true,
	["Spell Crit Chance <- Spell Crit Rating, Intellect"] = true,
	-- /rb sum stat mp5
	["Sum Mana Regen"] = true,
	["Mana Regen <- Mana Regen, Spirit"] = true,
	-- /rb sum stat mp5nc
	["Sum Mana Regen while not casting"] = true,
	["Mana Regen while not casting <- Spirit"] = true,
	-- /rb sum stat hp5
	["Sum Health Regen"] = true,
	["Health Regen <- Health Regen"] = true,
	-- /rb sum stat hp5oc
	["Sum Health Regen when out of combat"] = true,
	["Health Regen when out of combat <- Spirit"] = true,
	-- /rb sum stat armor
	["Sum Armor"] = true,
	["Armor <- Armor from items, Armor from bonuses, Agility, Intellect"] = true,
	-- /rb sum stat blockvalue
	["Sum Block Value"] = true,
	["Block Value <- Block Value, Strength"] = true,
	-- /rb sum stat dodge
	["Sum Dodge Chance"] = true,
	["Dodge Chance <- Dodge Rating, Agility, Defense Rating"] = true,
	-- /rb sum stat parry
	["Sum Parry Chance"] = true,
	["Parry Chance <- Parry Rating, Defense Rating"] = true,
	-- /rb sum stat block
	["Sum Block Chance"] = true,
	["Block Chance <- Block Rating, Defense Rating"] = true,
	-- /rb sum stat avoidhit
	["Sum Hit Avoidance"] = true,
	["Hit Avoidance <- Defense Rating"] = true,
	-- /rb sum stat avoidcrit
	["Sum Crit Avoidance"] = true,
	["Crit Avoidance <- Defense Rating, Resilience"] = true,
	-- /rb sum stat neglectdodge
	["Sum Dodge Neglect"] = true,
	["Dodge Neglect <- Weapon Skill Rating"] = true,
	-- /rb sum stat neglectparry
	["Sum Parry Neglect"] = true,
	["Parry Neglect <- Weapon Skill Rating"] = true,
	-- /rb sum stat neglectblock
	["Sum Block Neglect"] = true,
	["Block Neglect <- Weapon Skill Rating"] = true,
	-- /rb sum stat maxdamage
	["Sum Weapon Max Damage"] = true,
	["Weapon Max Damage Summary"] = true,
	-- /rb sum stat weapondps
	--["Sum Weapon DPS"] = true,
	--["Weapon DPS Summary"] = true,
	-- /rb sum statcomp
	["Stat - Composite"] = true,
	["Choose composite stats for summary"] = true,
	-- /rb sum statcomp str
	["Sum Strength"] = true,
	["Strength Summary"] = true,
	-- /rb sum statcomp agi
	["Sum Agility"] = true,
	["Agility Summary"] = true,
	-- /rb sum statcomp sta
	["Sum Stamina"] = true,
	["Stamina Summary"] = true,
	-- /rb sum statcomp int
	["Sum Intellect"] = true,
	["Intellect Summary"] = true,
	-- /rb sum statcomp spi
	["Sum Spirit"] = true,
	["Spirit Summary"] = true,
	-- /rb sum statcomp def
	["Sum Defense"] = true,
	["Defense <- Defense Rating"] = true,
	-- /rb sum statcomp wpn
	["Sum Weapon Skill"] = true,
	["Weapon Skill <- Weapon Skill Rating"] = true,
	
	-----------------------
	-- Item Level and ID --
	-----------------------
	["ItemLevel: "] = true,
	["ItemID: "] = true,
	-----------------------
	-- Matching Patterns --
	-----------------------
	-- Items to check --
	--------------------
	-- [Potent Ornate Topaz]
	-- +6 Spell Damage, +5 Spell Crit Rating
	--------------------
	-- ZG enchant
	-- +10 Defense Rating/+10 Stamina/+15 Block Value
	--------------------
	-- [Glinting Flam Spessarite]
	-- +3 Hit Rating and +3 Agility
	--------------------
	-- ItemID: 22589
	-- [Atiesh, Greatstaff of the Guardian] warlock version
	-- Equip: Increases the spell critical strike rating of all party members within 30 yards by 28.
	--------------------
	-- [Brilliant Wizard Oil]
	-- Use: While applied to target weapon it increases spell damage by up to 36 and increases spell critical strike rating by 14 . Lasts for 30 minutes. 
	----------------------------------------------------------------------------------------------------
	-- I redesigned the tooltip scanner using a more locale friendly, 2 pass matching matching algorithm.
	--
	-- The first pass searches for the rating number, the patterns are read from ["numberPatterns"] here,
	-- " by (%d+)" will match strings like: "Increases defense rating by 16."
	-- "%+(%d+)" will match strings like: "+10 Defense Rating"
	-- You can add additional patterns if needed, its not limited to 2 patterns.
	-- The separators are a table of strings used to break up a line into multiple lines what will be parsed seperately.
	-- For example "+3 Hit Rating, +5 Spell Crit Rating" will be split into "+3 Hit Rating" and " +5 Spell Crit Rating"
	--
	-- The second pass searches for the rating name, the names are read from ["statList"] here,
	-- It will look through the table in order, so you can put common strings at the begining to speed up the search,
	-- and longer strings should be listed first, like "spell critical strike" should be listed before "critical strike", 
	-- this way "spell critical strike" does get matched by "critical strike".
	-- Strings need to be in lower case letters, because string.lower is called on lookup
	--
	-- IMPORTANT: there may not exist a one-to-one correspondence, meaning you can't just translate this file, 
	-- but will need to go in game and find out what needs to be put in here.
	-- For example, in english I found 3 different strings that maps to CR_CRIT_MELEE: "critical strike", "critical hit" and "crit".
	-- You will need to find out every string that represents CR_CRIT_MELEE, and so on.
	-- In other languages there may be 5 different strings that should all map to CR_CRIT_MELEE.
	-- so please check in game that you have all strings, and not translate directly off this table.
	--
	-- Tip1: When doing localizations, I recommend you set debugging to true in RatingBuster.lua
	-- Find RatingBuster:SetDebugging(false) and change it to RatingBuster:SetDebugging(true)
	-- or you can type /rb debug to enable it in game
	--
	-- Tip2: The strings are passed into string.find, so you should escape the magic characters ^$()%.[]*+-? with a %
	["numberPatterns"] = {
		{pattern = " by (%d+)", addInfo = "AfterNumber",},
		{pattern = "%+(%d+)", addInfo = "AfterStat",},
		{pattern = "grant.-(%d+)", addInfo = "AfterNumber",}, -- for "grant you xx stat" type pattern, ex: Quel'Serrar, Assassination Armor set
		{pattern = "add.-(%d+)", addInfo = "AfterNumber",}, -- for "add xx stat" type pattern, ex: Adamantite Sharpening Stone
		{pattern = "(%d+)([^%d]+)", addInfo = "AfterStat",}, -- [發光的暗影卓奈石] +6法術傷害及5耐力
	},
	["separators"] = {
		"/", " and ", ",", "%. ", " for ", "&"
	},
	--[[ Rating ID
	CR_WEAPON_SKILL = 1;
	CR_DEFENSE_SKILL = 2;
	CR_DODGE = 3;
	CR_PARRY = 4;
	CR_BLOCK = 5;
	CR_HIT_MELEE = 6;
	CR_HIT_RANGED = 7;
	CR_HIT_SPELL = 8;
	CR_CRIT_MELEE = 9;
	CR_CRIT_RANGED = 10;
	CR_CRIT_SPELL = 11;
	CR_HIT_TAKEN_MELEE = 12;
	CR_HIT_TAKEN_RANGED = 13;
	CR_HIT_TAKEN_SPELL = 14;
	CR_CRIT_TAKEN_MELEE = 15;
	CR_CRIT_TAKEN_RANGED = 16;
	CR_CRIT_TAKEN_SPELL = 17;
	CR_HASTE_MELEE = 18;
	CR_HASTE_RANGED = 19;
	CR_HASTE_SPELL = 20;
	CR_WEAPON_SKILL_MAINHAND = 21;
	CR_WEAPON_SKILL_OFFHAND = 22;
	CR_WEAPON_SKILL_RANGED = 23;
	--
	SPELL_STAT1_NAME = "Strength"
	SPELL_STAT2_NAME = "Agility"
	SPELL_STAT3_NAME = "Stamina"
	SPELL_STAT4_NAME = "Intellect"
	SPELL_STAT5_NAME = "Spirit"
	--]]
	["statList"] = {
		{pattern = string.lower(SPELL_STAT1_NAME), id = SPELL_STAT1_NAME}, -- Strength
		{pattern = string.lower(SPELL_STAT2_NAME), id = SPELL_STAT2_NAME}, -- Agility
		{pattern = string.lower(SPELL_STAT3_NAME), id = SPELL_STAT3_NAME}, -- Stamina
		{pattern = string.lower(SPELL_STAT4_NAME), id = SPELL_STAT4_NAME}, -- Intellect
		{pattern = string.lower(SPELL_STAT5_NAME), id = SPELL_STAT5_NAME}, -- Spirit
		{pattern = "defense rating", id = CR_DEFENSE_SKILL},
		{pattern = "dodge rating", id = CR_DODGE},
		{pattern = "block rating", id = CR_BLOCK}, -- block enchant: "+10 Shield Block Rating"
		{pattern = "parry rating", id = CR_PARRY},
	
		{pattern = "spell critical strike rating", id = CR_CRIT_SPELL},
		{pattern = "spell critical hit rating", id = CR_CRIT_SPELL},
		{pattern = "spell critical rating", id = CR_CRIT_SPELL},
		{pattern = "spell crit rating", id = CR_CRIT_SPELL},
		{pattern = "ranged critical strike rating", id = CR_CRIT_RANGED},
		{pattern = "ranged critical hit rating", id = CR_CRIT_RANGED},
		{pattern = "ranged critical rating", id = CR_CRIT_RANGED},
		{pattern = "ranged crit rating", id = CR_CRIT_RANGED},
		{pattern = "critical strike rating", id = CR_CRIT_MELEE},
		{pattern = "critical hit rating", id = CR_CRIT_MELEE},
		{pattern = "crit rating", id = CR_CRIT_MELEE},
		
		{pattern = "spell hit rating", id = CR_HIT_SPELL},
		{pattern = "ranged hit rating", id = CR_HIT_RANGED},
		{pattern = "hit rating", id = CR_HIT_MELEE},
		
		{pattern = "resilience", id = CR_CRIT_TAKEN_MELEE}, -- resilience is implicitly a rating
		
		{pattern = "spell haste rating", id = CR_HASTE_SPELL},
		{pattern = "ranged haste rating", id = CR_HASTE_RANGED},
		{pattern = "haste rating", id = CR_HASTE_MELEE},
		{pattern = "speed rating", id = CR_HASTE_MELEE}, -- [Drums of Battle]
		
		{pattern = "skill rating", id = CR_WEAPON_SKILL},
		
		{pattern = "hit avoidance rating", id = CR_HIT_TAKEN_MELEE},
		--[[
		{pattern = "dagger skill rating", id = CR_WEAPON_SKILL},
		{pattern = "sword skill rating", id = CR_WEAPON_SKILL},
		{pattern = "two%-handed swords skill rating", id = CR_WEAPON_SKILL},
		{pattern = "axe skill rating", id = CR_WEAPON_SKILL},
		{pattern = "bow skill rating", id = CR_WEAPON_SKILL},
		{pattern = "crossbow skill rating", id = CR_WEAPON_SKILL},
		{pattern = "gun skill rating", id = CR_WEAPON_SKILL},
		{pattern = "feral combat skill rating", id = CR_WEAPON_SKILL},
		{pattern = "mace skill rating", id = CR_WEAPON_SKILL},
		{pattern = "polearm skill rating", id = CR_WEAPON_SKILL},
		{pattern = "staff skill rating", id = CR_WEAPON_SKILL},
		{pattern = "two%-handed axes skill rating", id = CR_WEAPON_SKILL},
		{pattern = "two%-handed maces skill rating", id = CR_WEAPON_SKILL},
		{pattern = "fist weapons skill rating", id = CR_WEAPON_SKILL},
		--]]
	},
	-------------------------
	-- Added info patterns --
	-------------------------
	-- $value will be replaced with the number
	-- EX: "$value% Crit" -> "+1.34% Crit"
	-- EX: "Crit $value%" -> "Crit +1.34%"
	["$value% Crit"] = true,
	["$value% Spell Crit"] = true,
	["$value% Dodge"] = true,
	["$value HP"] = true,
	["$value MP"] = true,
	["$value AP"] = true,
	["$value RAP"] = true,
	["$value Dmg"] = true,
	["$value Heal"] = true,
	["$value Armor"] = true,
	["$value Block"] = true,
	["$value MP5"] = true,
	["$value MP5(NC)"] = true,
	["$value HP5"] = true,
	
	------------------
	-- Stat Summary --
	------------------
	["Stat Summary"] = true,
} end)